<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_admin_password.php                                 ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("admins_login");

	$admin_id = get_param("admin_id");

	$sql  = " SELECT admin_name FROM " . $table_prefix . "admins ";
	$sql .= " WHERE admin_id=" . $db->tosql($admin_id, INTEGER);
	$db->query($sql);
	if($db->next_record()) {
		$admin_name = $db->f("admin_name");
	} else {
		die("Administrator with such ID no longer exists in database.");
	}


	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_admin_password.html");
	$t->set_var("admin_name",         $admin_name);
	$t->set_var("admin_admin_href",   "admin_admin.php");
	$t->set_var("admin_admins_href",  "admin_admins.php");
	$t->set_var("admin_admin_password_href", "admin_admin_password.php");
	$t->set_var("MY_ACCOUNT_MSG",      MY_ACCOUNT_MSG);
	$t->set_var("CHANGE_PASSWORD_MSG", CHANGE_PASSWORD_MSG);
	$t->set_var("CURRENT_PASS_FIELD",  CURRENT_PASS_FIELD);
	$t->set_var("NEW_PASS_FIELD",      NEW_PASS_FIELD);
	$t->set_var("CONFIRM_PASS_FIELD",  CONFIRM_PASS_FIELD);
	$t->set_var("UPDATE_BUTTON",       UPDATE_BUTTON);
	$t->set_var("CANCEL_BUTTON",       CANCEL_BUTTON);
	$t->set_var("ENTER_YOUR_MSG",      ENTER_YOUR_MSG);
	$t->set_var("CHOOSE_A_MSG",        CHOOSE_A_MSG);

	$r = new VA_Record($table_prefix . "admins");

	$r->add_where("admin_id", INTEGER);
	$r->add_textbox("password", TEXT, NEW_PASS_FIELD);
	$r->change_property("password", REQUIRED, true);
	$r->change_property("password", MIN_LENGTH, 5);
	$r->add_textbox("confirm", TEXT, CONFIRM_PASS_FIELD);
	$r->change_property("confirm", USE_IN_UPDATE, false);
	$r->change_property("password", MATCHED, "confirm");

	$operation = get_param("operation");
	$return_page = "admin_admins.php";
	$errors = "";
	$r->get_form_values();


	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		
		$r->validate();

		if(!strlen($r->errors))
		{
			$password_encrypt = get_setting_value($settings, "password_encrypt", 0);
			if ($password_encrypt) {
				$r->set_value("password", md5($r->get_value("password")));
			}
			$r->update_record();
			header("Location: " . $return_page);
			exit;
		}
	}

	$r->set_parameters();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>