<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_fm_upload_files.php                                ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/admin_fm_functions.php");
	include($root_folder_path . "includes/zip_class.php");

	check_admin_security("filemanager");

	$t = new VA_Template($settings["admin_templates_dir"]);

	$array_archive_file = array("zip", "gz");
	
	$op = terminator(get_param("op"));

	if(strlen($op) == 0) {
		$op = 1;
	}
	
	if($op == 1) {
		$t->set_file("main","admin_fm_upload_files.html");
	}
	else {
		$t->set_file("main","admin_fm_upload_archive.html");		
	}
	$error = "";
	$service_message = "";
	$dir_root = check_dir_path(get_param("dir_root"));
	$tmp_dir_arch = get_session("tmp_dir_arch");
	$t->set_var("dir_root", $dir_root);
	if(is_array($_FILES)) {
		foreach($_FILES as $k_file => $val_file) {
			if($val_file["error"] == 0) {
				$val_file["name"] = terminator($val_file["name"]);
				$ext = get_ext_file($val_file["name"]);
				if((in_array($ext, get_session("conf_array_files_ext")) && $op == 1)|| (in_array($ext, $array_archive_file) && $op == 2)) {
					if(is_uploaded_file($val_file["tmp_name"])) {
						copy($val_file["tmp_name"], $dir_root . "/" . $val_file["name"]);
						if($op == 1) {
							$service_message = "File " . $val_file["name"] . " was uploaded.";
						}
						elseif($op == 2) {
							$array_files = array();
							$flname = $dir_root . "/" .  $val_file["name"];
							$archive = new XPRAPTORZIP($flname);
							if ($archive->extract(XPrptrZIP_OPT_PATH, $dir_root . "/" . $tmp_dir_arch) != 0) {
								$error_files = check_error_files($dir_root . "/" . $tmp_dir_arch);
								rm($dir_root . "/" . $tmp_dir_arch);
								if(strlen($error_files) > 0) {
									$error_files = substr($error_files, 0, -2);
									$error = "Incorrect file(s) extension(s) " . $error_files . " in archive " . $val_file["name"] . ".";
									//$t->set_var("error", );
								}
								else {
									$archive->extract(XPrptrZIP_OPT_PATH, $dir_root);
									$service_message = "File " . $val_file["name"] . " was unpacked.";
								}
							}
							else {
								$error = $archive->errorInfo(true);
							}
							rm($flname);
						}
					}
					else {
						$error = "Can't upload file " . $val_file["name"] . " please check the path or permissions";
					}
				}
				else {
					$error = "Can't upload file " . $val_file["name"] . " invalid file extension.";
				}
				$t->parse("errors", true);
				$t->parse("service_messages", true);
			}
		}
	}
	if(strlen($error) > 0) {
		$t->set_var("error", $error);
		$t->parse("errors", true);
	}
	else {
		$t->set_var("errors", "");
	}
	if(strlen($service_message) > 0) {
		$t->set_var("service_message", $service_message);
		$t->parse("service_messages", true);
	}
	else {
		$t->set_var("service_messages", "");
	}
	$t->set_var("admin_select_href", "admin_select.php");
	$t->set_var("admin_upload_href", "admin_fm_upload_files.php");
	$t->set_var("admin_filemanager_href", "admin_fm.php");
	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>